.kyle *, .kyle *:before, .kyle *:after {
  box-sizing: border-box;
}
.kyle {
  background-color: #fff;
}
.kyle .mrt-lines-container {
  max-height: 400px;
  overflow: hidden;
  background: #fff;
  padding: 3em 0 1em;
}
/*.mrts-page .mrts-title {
  padding: 10px;
  margin: 0;
  font-size: 2em;
  font-family: Arvo, 'CeraProRegular', Helvetica, sans-serif;
}*/
.kyle .mrt-page {
  background: #ebebeb;
}
.kyle .mrt-line {
  margin: 0 auto 1em;
  width: 100%;
  position: relative;
}
.kyle .mrt-line .stations-mask {
  overflow: hidden;
  padding: 15px;
  background: #fff;
  position: relative;
}
.kyle .mrt-line .stations {
  height: 100px;
  position: relative;
  margin: 0 auto;
}
.kyle .mrt-line .station-circle {
  display: block;
  width: 24px;
  height: 24px;
  -webkit-border-radius: 100%;
  border-radius: 100%;
  border: 4px solid #979797;
  background: #fff;
  margin-right: 45px;
  position: relative;
  z-index: 10;
  -webkit-transition: all 0.2s;
  -moz-transition: all 0.2s;
  -o-transition: all 0.2s;
  -ms-transition: all 0.2s;
  transition: all 0.2s;
}
.kyle .mrt-line .station-circle:hover {
  border: 4px solid #cbcbcb;
}
.kyle .mrt-line .station-circle:before {
  content: '';
  display: block;
  width: 16px;
  height: 16px;
  -webkit-border-radius: 100%;
  border-radius: 100%;
  top: 0px;
  left: 0px;
  -webkit-transition: all 0.4s;
  -moz-transition: all 0.4s;
  -o-transition: all 0.4s;
  -ms-transition: all 0.4s;
  transition: all 0.4s;
  -webkit-transform: scale(0);
  -moz-transform: scale(0);
  -o-transform: scale(0);
  -ms-transform: scale(0);
  transform: scale(0);
  position: absolute;
  background: #979797;
}
.kyle .mrt-line .station-circle:hover:before {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -o-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
}
.kyle .mrt-line .station-circle:after {
  content: '';
  display: block;
  width: 46px;
  height: 4px;
  background: #979797;
  position: absolute;
  z-index: 1;
  left: 20px;
  top: 6px;
  pointer-events: none;
}
.kyle .mrt-line .station-circle:last-of-type:after {
  display: none;
}
.kyle .mrt-line .station-circle.ew {
  border: 4px solid #39bf66;
}
.kyle .mrt-line .station-circle.ew:hover {
  border: 4px solid #9ae1b2;
}
.kyle .mrt-line .station-circle.ew:before {
  background: #39bf66;
}
.kyle .mrt-line .station-circle.ew:after {
  background: #39bf66;
}
.kyle .mrt-line .station-circle.ns {
  border: 4px solid #c3382f;
}
.kyle .mrt-line .station-circle.ns:hover {
  border: 4px solid #e59893;
}
.kyle .mrt-line .station-circle.ns:before {
  background: #c3382f;
}
.kyle .mrt-line .station-circle.ns:after {
  background: #c3382f;
}
.kyle .mrt-line .station-circle.ne {
  border: 4px solid #821991;
}
.kyle .mrt-line .station-circle.ne:hover {
  border: 4px solid #d76ee6;
}
.kyle .mrt-line .station-circle.ne:before {
  background: #821991;
}
.kyle .mrt-line .station-circle.ne:after {
  background: #821991;
}
.kyle .mrt-line .station-circle.dt {
  border: 4px solid #3893d9;
}
.kyle .mrt-line .station-circle.dt:hover {
  border: 4px solid #9cc9ec;
}
.kyle .mrt-line .station-circle.dt:before {
  background: #3893d9;
}
.kyle .mrt-line .station-circle.dt:after {
  background: #3893d9;
}
.kyle .mrt-line .station-circle.cc {
  border: 4px solid #f2a027;
}
.kyle .mrt-line .station-circle.cc:hover {
  border: 4px solid #f9d093;
}
.kyle .mrt-line .station-circle.cc:before {
  background: #f2a027;
}
.kyle .mrt-line .station-circle.cc:after {
  background: #f2a027;
}
.kyle .mrt-line .current-station.station-circle {
  background: #979797;
}
.kyle .mrt-line .current-station.station-circle.ew {
  background: #39bf66;
}
.kyle .mrt-line .current-station.station-circle.ns {
  background: #c3382f;
}
.kyle .mrt-line .current-station.station-circle.ne {
  background: #821991;
}
.kyle .mrt-line .current-station.station-circle.dt {
  background: #3893d9;
}
.kyle .mrt-line .current-station.station-circle.cc {
  background: #f2a027;
}
.kyle .mrt-line .current-station.station-name {
  font-weight: bold;
}
.kyle .mrt-line .station-name {
  color: #505050;
  font-size: 15px;
  position: absolute;
  top: 3.5em;
  width: 110px;
  white-space: pre-wrap;
  -webkit-transform: rotateZ(45deg);
  -moz-transform: rotateZ(45deg);
  -o-transform: rotateZ(45deg);
  -ms-transform: rotateZ(45deg);
  transform: rotateZ(45deg);
}
.kyle .mrt-line .line-name {
  text-align: center;
  font-size: 22px;
  text-transform: uppercase;
}
.kyle .mrt-line .line-name.ew {
  color: #39bf66;
}
.kyle .mrt-line .line-name.ns {
  color: #c3382f;
}
.kyle .mrt-line .line-name.ne {
  color: #821991;
}
.kyle .mrt-line .line-name.dt {
  color: #3893d9;
}
.kyle .mrt-line .line-name.cc {
  color: #f2a027;
}
.kyle .scale-mrts-page-container {
  width: 100%;
  height: 880px;
  overflow-x: auto;
  position: relative;
  text-align: center;
}
.kyle .scale-mrts-page {
  display: inline-block;
  /*min-height: 830px;*/
  height: 900px;
  width: 1650px;
  overflow: hidden;
  zoom: 0.8;
  margin: 0 50px;
  /*-webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform: scale(0.8) translateX(-100px) translateY(-100px);
  -moz-transform: scale(0.8) translateX(-100px) translateY(-100px);
  -o-transform: scale(0.8) translateX(-100px) translateY(-100px);
  -ms-transform: scale(0.8) translateX(-100px) translateY(-100px);
  transform: scale(0.8) translateX(-100px) translateY(-100px);*/
}
.kyle .mrt-map {
  width: 1610px;
  /*height: 970px;*/
  display: block;
  z-index: 0;
}
.kyle .mrt-map,
.kyle .mrt-lines {
  position: absolute;
}
.kyle .mrt-lines {
  top: 71px;
}
.kyle .line.EW {
  position: absolute;
  left: 1px;
}
.kyle .mrt-map-point {
  position: absolute;
}

.kyle .mrt-map-point .mrt-name {
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  /*color: #505050;*/
  color: #000;
  position: absolute;
  margin: 0;
  text-align: center;
  /*font-weight: bold;*/
}

.kyle .point-r.interchange,
.kyle .point-l.interchange {
  padding: 0 10px;
}

.kyle .point-t.interchange, 
.kyle .point-b.interchange {
  padding: 10px 0;
}

.kyle .point-rt.interchange,
.kyle .point-rb.interchange,
.kyle .point-lt.interchange,
.kyle .point-lb.interchange {
  padding: 10px 0;
}

.kyle .point-r {
  left: 100%;
  /*left: 20px;*/
  text-align: left;
}

.kyle .point-l {
  right: 100%;
  /*right: 1px;*/
}

.kyle .point-t {
  bottom: Calc(100% - 5px);
  /*bottom: -2px;*/
}

.kyle .point-b {
  top: Calc(100% - 10px);
  /*top: 13px;*/
}

.kyle .point-l,
.kyle .point-r {
  top: 1px;
}

.kyle .point-t,
.kyle .point-b {
  left: -28px;
  width: 75px;
}

.kyle .point-l,
.kyle .point-r,
.kyle .point-lt,
.kyle .point-lb,
.kyle .point-rt,
.kyle .point-rb {
  white-space: nowrap;
}

.kyle .point-rb {
  /*top: 5px;
  left: 10px;*/
  top: 5px;
  left: 100%;
}

.kyle .point-rt {
  /*bottom: -10px;
  left: 13px;*/
  bottom: 15px;
  left: 100%;
}

.kyle .point-lb {
  /*top: 1px;
  right: 12px;*/
  top: 10px;
  right: 100%;
}

.kyle .point-lt {
  /*bottom: -12px;
  right: -10px;*/
  bottom: 13px;
  right: 100%;
}

.kyle .force_wrap {
  white-space: pre-wrap;
}

.kyle .mrt-map-point:hover .mrt-symbol {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -o-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  border: 4px solid #505050;
}
.kyle .mrt-symbol {
  display: inline-block;
  background: #fff;
  width: 20px;
  height: 20px;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  -ms-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform: scale(0.3);
  -moz-transform: scale(0.3);
  -o-transform: scale(0.3);
  -ms-transform: scale(0.3);
  transform: scale(0.3);
  border: 4px solid transparent;
  /*position: absolute;*/
}
.NS27,
.SE0,
.BP1,
.SW0,
.NS1,
.DT15,
.DT16,
.NE6,
.NS24,
.DT19,
.NE12,
.NE1,
.NS26,
.NE3,
.DT14,
.NS17,
.NS25,
.EW8,
.EW21,
.PE0 {
  display: none;
}
.line.PW .PW1,
.line.PW .PW2,
.line.PW .PW3,
.line.PW .PW4 {
  display: none;
}
.PW5 {
  top: -22px;
  left: 1145px;
}
.PW6 {
  top: 0px;
  left: 1165px;
}
.PW7 {
  top: 19px;
  left: 1205px;
}
.line.NS .EW24,
.line.NS .CC15,
.line.NS .CC1,
.line.NS .EW13,
.line.NS .EW14,
.line.NS .CE2 {
  display: none;
}
.line.NE .CC1,
.line.NE .EW16,
.line.NE .CC13,
.line.NE .CC29 {
  display: none;
}
.line.DT .NE4,
.line.DT .CE1,
.line.DT .CC4,
.line.DT .EW12 {
  display: none;
}
.line.EW .CC9,
.line.EW .CC22 {
  display: none;
}
.line.BP .NS4 {
  display: none;
}
.line.SE .NE16 {
  display: none;
}
.line.SW .NE16,
.line.SW .SW3 {
  display: none;
}
.line.PE .NE17 {
  display: none;
}
.CC9,
.EW7,
.EW6,
.EW5,
.EW4 {
  top: 488px;
}
.EW24,
.EW25,
.EW26,
.EW27 {
  top: 461px;
}
.EW28,
.EW29 {
  left: 40px;
}
.CC13,
.NE13 {
  left: 1063px;
}
.NS2,
.NS3,
.NS4,
.NS5,
.EW24 {
  left: 290px;
}
.NS7,
.NS8,
.NS9,
.NS10,
.NS11 {
  top: 18px;
}
.CC15,
.NS13,
.NS14,
.NS15,
.NS16,
.NS18 {
  left: 895px;
}
.NS22,
.NS23 {
  left: 755px;
}
.NS4,
.BP2,
.BP3,
.BP4,
.BP5,
.BP6 {
  top: 159px;
}
.CC1 {
  top: 586px;
  left: 802px;
}
.CC2 {
  top: 660px;
  left: 905px;
}
.CC3 {
  top: 716px;
  left: 960px;
}
.CC4 {
  top: 740px;
  left: 1016px;
}
.CC5 {
  top: 690px;
  left: 1076px;
}
.CC6 {
  top: 650px;
  left: 1116px;
}
.CC7 {
  top: 605px;
  left: 1161px;
}
.CC8 {
  top: 540px;
  left: 1197px;
}
.CC9 {
  left: 1197px;
}
.CC10 {
  top: 438px;
  left: 1198px;
}
.CC11 {
  top: 392px;
  left: 1164px;
}
.CC12 {
  top: 346px;
  left: 1118px;
}
.CC13 {
  top: 302px;
}
.CC14 {
  top: 302px;
  left: 980px;
}
.CC15 {
  top: 302px;
}
.CC16 {
  top: 302px;
  left: 760px;
}
.CC17 {
  top: 336px;
  left: 691px;
}
.CC19 {
  top: 402px;
  left: 625px;
}
.CC20 {
  top: 456px;
  left: 571px;
}
.CC21 {
  top: 496px;
  left: 531px;
}
.CC22 {
  top: 560px;
  left: 467px;
}
.CC23 {
  top: 605px;
  left: 422px;
}
.CC24 {
  top: 650px;
  left: 377px;
}
.CC25,
.CC26 {
  left: 360px;
}
.CC25 {
  top: 701px;
}
.CC26 {
  top: 756px;
}
.CC27 {
  top: 820px;
  left: 368px;
}
.CC28 {
  top: 870px;
  left: 418px;
}
.CC29 {
  top: 926px;
  left: 473px;
}
.CE1 {
  top: 800px;
  left: 956px;
}
.CE2 {
  top: 929px;
  left: 837px;
}
.EW1,
.EW2,
.EW3 {
  left: 1465px;
}
.EW1 {
  top: 317px;
}
.EW2 {
  top: 380px;
}
.EW3 {
  top: 440px;
}
.EW4 {
  left: 1434px;
}
.CG1,
.CG2 {
  top: 539px;
}
.CG1 {
  left: 1480px;
}
.CG2 {
  left: 1550px;
}
.EW5 {
  left: 1380px;
}
.EW6 {
  left: 1320px;
}
.EW7 {
  left: 1260px;
}
.EW9 {
  top: 520px;
  left: 1123px;
}
.EW10 {
  top: 556px;
  left: 1087px;
}
.EW11 {
  top: 593px;
  left: 1050px;
}
.EW12 {
  top: 639px;
  left: 1004px;
}
.EW13 {
  top: 742px;
  left: 900px;
}
.EW14 {
  top: 792px;
  left: 850px;
}
.EW15 {
  top: 842px;
  left: 748px;
}
.EW16 {
  top: 746px;
  left: 652px;
}
.EW17 {
  top: 709px;
  left: 615px;
}
.EW18 {
  top: 672px;
  left: 578px;
}
.EW19 {
  top: 635px;
  left: 541px;
}
.EW20 {
  top: 598px;
  left: 504px;
}
.EW22 {
  top: 527px;
  left: 433px;
}
.EW23 {
  top: 494px;
  left: 400px;
}
.EW25 {
  left: 226px;
}
.EW26 {
  left: 163px;
}
.EW27 {
  left: 100px;
}
.EW28 {
  top: 420px;
}
.EW29 {
  top: 378px;
}
.NE4 {
  top: 709px;
  left: 689px;
}
.NE5 {
  top: 649px;
  left: 749px;
}
.NE7 {
  top: 516px;
  left: 882px;
}
.NE8 {
  top: 482px;
  left: 917px;
}
.NE9 {
  top: 450px;
  left: 948px;
}
.NE10 {
  top: 418px;
  left: 980px;
}
.NE11 {
  top: 376px;
  left: 1022px;
}
.NE13 {
  top: 253px;
}
.NE14 {
  top: 212px;
  left: 1095px;
}
.NE15 {
  top: 181px;
  left: 1126px;
}
.NE16 {
  top: 147px;
  left: 1159px;
}
.NE17 {
  top: 50px;
  left: 1254px;
}
.NS2 {
  top: 350px;
}
.NS3 {
  top: 250px;
}
.NS5 {
  top: 70px;
}
.NS7 {
  left: 380px;
}
.NS8 {
  left: 480px;
}
.NS9 {
  left: 590px;
}
.NS10 {
  left: 700px;
}
.NS11 {
  left: 810px;
}
.NS13 {
  top: 70px;
}
.NS14 {
  top: 120px;
}
.NS15 {
  top: 180px;
}
.NS16 {
  top: 240px;
}
.NS18 {
  top: 340px;
}
.NS19 {
  top: 370px;
  left: 873px;
}
.NS20 {
  top: 400px;
  left: 843px;
}
.NS21 {
  top: 439px;
  left: 804px;
}
.NS22 {
  top: 495px;
}
.NS23 {
  top: 525px;
}
.NS28 {
  top: 979px;
  left: 887px;
}
.DT2 {
  top: 210px;
  left: 509px;
}
.DT3 {
  top: 250px;
  left: 509px;
}
.DT5 {
  top: 290px;
  left: 509px;
}
.DT6 {
  top: 336px;
  left: 509px;
}
.DT7 {
  top: 382px;
  left: 545px;
}
.DT8 {
  top: 402px;
  left: 575px;
}
.DT10 {
  top: 402px;
  left: 705px;
}
.DT13 {
  top: 578px;
  left: 944px;
}
.DT17 {
  top: 850px;
  left: 830px;
}
.DT18 {
  top: 740px;
  left: 719px;
}
.BP2 {
  left: 330px;
}
.BP3 {
  left: 370px;
}
.BP4 {
  left: 410px;
}
.BP5 {
  left: 450px;
}
.BP14 {
  top: 115px;
  left: 478px;
}
.BP6 {
  left: 510px;
}
.BP7,
.BP13 {
  left: 550px;
}
.BP7 {
  top: 170px;
}
.BP8,
.BP9 {
  top: 190px;
}
.BP11,
.BP12 {
  top: 128px;
}
.BP8,
.BP12 {
  left: 580px;
}
.BP9,
.BP11 {
  left: 640px;
}
.BP13 {
  top: 148px;
}
.BP10 {
  top: 160px;
  left: 657px;
}
.PE1 {
  top: 105px;
  left: 1285px;
}
.PE2 {
  top: 134px;
  left: 1300px;
}
.PE3 {
  top: 155px;
  left: 1321px;
}
.PE4 {
  top: 153px;
  left: 1358px;
}
.PE5 {
  top: 115px;
  left: 1362px;
}
.PE6 {
  top: 94px;
  left: 1342px;
}
.PE7 {
  top: 81px;
  left: 1306px;
}
.SE1 {
  top: 190px;
  left: 1243px;
}
.SE2 {
  top: 214px;
  left: 1268px;
}
.SE3 {
  top: 245px;
  left: 1259px;
}
.SE4 {
  top: 250px;
  left: 1222px;
}
.SE5 {
  top: 225px;
  left: 1197px;
}
.SW1 {
  top: 90px;
  left: 1124px;
}
.SW2 {
  top: 57px;
  left: 1111px;
}
.SW4 {
  top: 33px;
  left: 1060px;
}
.SW5 {
  top: 50px;
  left: 1043px;
}
.SW6 {
  top: 75px;
  left: 1047px;
}
.SW7 {
  top: 95px;
  left: 1067px;
}
.SW8 {
  top: 113px;
  left: 1100px;
}
.CG2 .mrt-symbol,
.EW1 .mrt-symbol,
.EW4 .mrt-symbol,
.CC9 .mrt-symbol,
.EW12 .mrt-symbol,
.EW16 .mrt-symbol,
.EW24 .mrt-symbol,
.EW29 .mrt-symbol,
.BP14 .mrt-symbol,
    .BP6 .mrt-symbol,
    .CC19 .mrt-symbol,
    .NS21 .mrt-symbol,
    .NE7 .mrt-symbol,
.CC22 .mrt-symbol,
.CC29 .mrt-symbol,
.NE4 .mrt-symbol,
.CC13 .mrt-symbol,
.CC15 .mrt-symbol,
.NE16 .mrt-symbol,
.NE17 .mrt-symbol,
.NS4 .mrt-symbol,
.CE2 .mrt-symbol,
.NS28 .mrt-symbol {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -o-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  border: 4px solid #505050;
}
.CC1 .mrt-symbol {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -o-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  border: 4px solid #505050;
  width: 50px;
  -webkit-border-radius: 20px;
  border-radius: 20px;
}
.CC4 .mrt-symbol,
.CE1 .mrt-symbol,
.EW13 .mrt-symbol,
.EW14 .mrt-symbol {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -o-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  border: 4px solid #505050;
  width: 30px;
  -webkit-border-radius: 20px;
  border-radius: 20px;
}
